import { OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DatepickerInputDirective implements OnInit {
    private model;
    constructor(model: NgModel);
    ngOnInit(): void;
    get value(): Date;
    updateValue(value: Date): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerInputDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DatepickerInputDirective, "[uiDatepickerInput]", never, {}, {}, never, never, false>;
}
